Thread::getThreadId
Thread::isRunning
Thread
PHP Manual

# Thread::isJoined

State Detection

### Description

final public boolean Thread::isJoined ( void )

Tell if the referenced Thread has been joined by another context

### Parameters

This function has no parameters.

### Return Values

A boolean indication of state

### Examples

Example #1 Detect the state of the referenced Thread

`<?php
class My extends Thread {
public function run() {
$this->synchronized(function($thread){
$thread->wait();
}, $this);
}
}
$my = new My();
$my->start();
var_dump($my->isJoined());
$my->synchronized(function($thread){
$thread->notify();
}, $my);
?>`

The above example will output:

    bool(false)